#!/usr/bin/tclsh
#-------------------------------------------------------------------------------
# PROGRAMM.tcl                                   (C) 2024 T.Birnthaler OSTC GmbH
# BESCHREIBUNG
# $Id:$
#-------------------------------------------------------------------------------
set var "Text"

puts $var

proc mycompare {a b} {
	if {$a < $b} {
		puts "$a is less than $b"
		return -1
	} elseif {$a > $b} {
		puts "$a is greater than $b"
		return 1
	} else {
		puts "$a is equal to $b"
		return 0
	}
}

set value [mycompare 1 4]
puts "comparison returned $value"

for {set count 10} {$count > 0} {incr count -1} {
	puts "the value of count is $count"
}

set count 10
while {$count > 0} {
	puts "the value of count is $count"
	set count [expr $count-1]
}

if {$count < 0} {
	puts "count is less than zero"
} elseif {$count > 0 {
	puts "count is greater than zero"
} else {
	puts "count is equal to zero"
}
